<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextChild Method (IEdmReference5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference5 Interface : GetNextChild Method (IEdmReference5)

Visual Basic
C#
C++/CLI

poPos
  Position of next child file to get

Enumerates the files referenced by this file.

# Syntax

Visual Basic |
--- | ---

    Function GetNextChild( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmReference5

C# |
--- | ---

    IEdmReference5 GetNextChild(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmReference5^ GetNextChild(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  Position of next child file to get

#### Return Value

Child file

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

Call IEdmReference5::GetFirstChildPosition to get the position of the first referenced child file, before you call IEdmReference5::GetNextChild for the first time.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the referenced child files.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmReference5 Interface
IEdmReference5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional